<?php
session_start();
require("../../database/dbConection.php");

$opcaoFiltro    = $_POST['opcaoFiltro'];

switch($opcaoFiltro){

  case "comparar-agendados-alteracao-agenda":
    $idAgenda       = $_POST['idAgenda'];
    $diaReferencia  = $_POST['diaReferencia'];
    $stmAgendados   = $rsConexao->prepare("SELECT id_agendamento FROM reg_tb_agendamentos WHERE id_agenda='$idAgenda' AND (date_format(data_atendimento,'%d')='$diaReferencia')");
    $stmAgendados   -> execute();
  break;

  case "comparar-agendados-pendente":
    $idPaciente     = $_POST['idPaciente'];
    $idProcedimento = $_POST['idProcedimento'];
    $sqlAgendamento = "SELECT id_agendamento 
    FROM reg_tb_agendamentos
    WHERE id_paciente='$idPaciente' 
    AND (id_procedimento='$idProcedimento')
    AND (status_agendamento='A' OR status_agendamento='E' OR status_agendamento='P')";
    $stmAgendados   = $rsConexao->prepare($sqlAgendamento);
    $stmAgendados   -> execute();  
    if($stmAgendados->rowCount()>0){
      echo "JáExiste";
    }else{
      echo "NãoExiste";
    }
  break;

  case "comparar-aguardando-agendamento":
    $idPaciente     = $_POST['idPaciente'];
    $idProcedimento = $_POST['idProcedimento'];
    $sqlAguardando = "SELECT id_solicitacao
    FROM reg_tb_solicitacoes 
    WHERE id_paciente='$idPaciente' 
    AND (id_procedimento='$idProcedimento')
    AND (id_statussolicitacao='1' OR id_statussolicitacao='2')";
    $stmAguardando  = $rsConexao->prepare($sqlAguardando);
    $stmAguardando  -> execute();  
    if($stmAguardando->rowCount()>0){
      echo "JáExiste";
    }else{
      echo "NãoExiste";
    }
  break;

}

?>